OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2006-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries

Description

This module corresponds to section 7.2 (Shader Binaries) of the OpenGL 4.4 spec.

# Documentation

newtype ShaderBinaryFormat

Constructors

ShaderBinaryFormat GLenum |

Instances

Eq ShaderBinaryFormat |
Ord ShaderBinaryFormat |
Show ShaderBinaryFormat |

shaderBinaryFormats :: GettableStateVar [ShaderBinaryFormat]

data ShaderBinary

Constructors

ShaderBinary ShaderBinaryFormat ByteString |

Instances

Eq ShaderBinary |
Ord ShaderBinary |
Show ShaderBinary |

shaderBinary :: [Shader] -> SettableStateVar ShaderBinary